import request from '@/utils/request'

// 查询规划对象列表
export function listPlanInfo(query) {
  return request({
    url: '/info/planInfo/list',
    method: 'get',
    params: query
  })
}

// 查询规划对象详细
export function getPlanInfo(planId) {
  return request({
    url: '/info/planInfo/' + planId,
    method: 'get'
  })
}

// 新增规划对象
export function addPlanInfo(data) {
  return request({
    url: '/info/planInfo',
    method: 'post',
    data: data
  })
}

// 修改规划对象
export function updatePlanInfo(data) {
  return request({
    url: '/info/planInfo',
    method: 'put',
    data: data
  })
}

// 删除规划对象
export function delPlanInfo(planId) {
  return request({
    url: '/info/planInfo/' + planId,
    method: 'delete'
  })
}

// 导出规划对象
export function exportPlanInfo(query) {
  return request({
    url: '/info/planInfo/export',
    method: 'get',
    params: query
  })
}
